package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Rebate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 86187
 */
public interface RebateMapper extends BaseMapper<Rebate> {
    /**
     *
     * @param rebate 入参
     * @return 1
     */
    int add(Rebate rebate);

    /**
     * 编辑
     * @param rebate 入参
     * @return 1
     */
    int edit(Rebate rebate);

    /**
     * 删除
     * @param id 主键id
     * @return 1
     */
    int delById(@Param("id") Integer id);

    /**
     * 获取会员等级对应的返佣比例
     * @param userLevel 会员等级
     * @return 返佣比例
     */
    Rebate getByLevel(@Param("userLevel") Integer userLevel);

}
